Get withdrawal metrics for Withdrawal Addresses
curl --request GET \
--url https://api.rated.network/v1/eth/entities/{withdrawal_address}/withdrawals \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.rated.network/v1/eth/entities/{withdrawal_address}/withdrawals"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.rated.network/v1/eth/entities/{withdrawal_address}/withdrawals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"next": "https://api.rated.network//v1/eth/entities/{withdrawal_address}/withdrawals?limit=10&offset=30",
"pages": 10,
"previous": "https://api.rated.network//v1/eth/entities/{withdrawal_address}/withdrawals?limit=10&offset=10",
"results": [
[
{
"amountInGwei": 100000,
"consensusSlot": 19056,
"epoch": 796,
"executionBlockNumber": 19056,
"slotIndex": 0,
"validatorIndex": 0,
"withdrawalAddress": "0x1123",
"withdrawalIndex": 0
}
]
]
}{
"detail": [
{
"msg": "<string>",
"type": "<string>",
"loc": [
"<string>"
]
}
]
}Withdrawals
Get withdrawal metrics for Withdrawal Addresses
This endpoint returns withdrawals by address
GET
/
v1
/
eth
/
entities
/
{withdrawal_address}
/
withdrawals
Get withdrawal metrics for Withdrawal Addresses
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Headers
Available options:
mainnet, hoodi, holesky Path Parameters
Query Parameters
The number of results returned per page
The number of results to skip before starting to return
End date
Example:
"2023-12-31"
Start date
Example:
"2023-01-01"
Start withdrawal index. The lower bound of the range.
Required range:
x >= 0Example:
0
End withdrawal index. The upper bound of the range.
Required range:
x >= 0Example:
10
Start slot multiple of 3k
Required range:
x >= 0End slot multiple of 3k
Required range:
x >= 0Start epoch. The lower bound of the range.
Required range:
x >= 0Example:
0
End epoch. The upper bound of the range.
Required range:
x >= 0Example:
10